E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
G::NewProcessImp Class Reference

A pimple-pattern implementation class used by G::NewProcess. More...

## Public Member Functions
| NewProcessImp (const Path &exe, const StringArray &args, int stdxxx, bool clean_env, bool strict_path, Identity run_as_id, bool strict_id, int exec_error_exit, const std::string &exec_error_format, std::string(*exec_error_format_fn)(std::string, int))
int | id () const
NewProcessWaitFuture & | wait ()
int | run (const G::Path &, const StringArray &, bool clean_env, bool strict)
void | kill ()
std::string | execErrorFormat (const std::string &format, int errno_)

## Static Public Member Functions
static std::pair< bool, pid_t > | fork ()
static void | printError (int, const std::string &s)

## Detailed Description

A pimple-pattern implementation class used by G::NewProcess.

Definition at line 65 of file gnewprocess_unix.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gnewprocess_unix.cpp